Skip to main content
GET
Returns a list of files.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

purpose
string

Only return files with the given purpose.

limit
integer
default:10000

A limit on the number of objects to be returned. Limit can range between 1 and 10,000, and the default is 10,000.

order
enum<string>
default:desc

Sort order by the created_at timestamp of the objects. asc for ascending order and desc for descending order.

Available options:
asc,
desc
after
string

A cursor for use in pagination. after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo in order to fetch the next page of the list.

Response

200 - application/json

OK

object
string
required
Example:

"list"

data
OpenAIFile · object[]
required
first_id
string
required
Example:

"file-abc123"

last_id
string
required
Example:

"file-abc456"

has_more
boolean
required
Example:

false